////////////////////////////////////////////////////////////////////////////
//  child.cpp
//
//  This file is part of the WinNT Pipes example demonstrating how to 
//  use anonymous pipes to communicate between a parent and child 
//  process through the child's STDIN/STDOUT. 
//
//  George Cross, Borland C++ Developer Support March 97
//
//  Built with Borland C++ 5.01
//
//  Build using,
// 
//    bcc32 thisfile.cpp
////////////////////////////////////////////////////////////////////////////

#define BUFSIZE  128
#define _UNICODE
#include <tchar.h>
#include <string.h>
#include <stdio.h>

void main()
{
  int nbytes=0, nreads=0;
  _TCHAR data[BUFSIZE];
  _TCHAR* pstr;

  do{
    pstr = _fgetts(data, BUFSIZE, stdin);
    nbytes += _tcslen(data);
    nreads++;
  }while(pstr!=NULL);
  _tprintf(_TEXT("%d bytes read from STDIN. %d scans performed.\n"), 
           nbytes,
           nreads);
}
